using System;

namespace ConsoleApp7
{
    class Program
    {
        static int zbir;
        static int potrebnoBodova;
        static void Main(string[] args)
        {
            zbir = int.Parse(Console.ReadLine());
            potrebnoBodova = int.Parse(Console.ReadLine());
            int[] bodovi = new int[6];
            if (zbir / potrebnoBodova < 3)
                return;
            else
            {
                bodovi[0] = zbir / 3 + zbir % 3;
                bodovi[2] = zbir / 3;
                bodovi[4] = zbir / 3;
                bodovi[1] = 0;
                bodovi[3] = 0;
                bodovi[5] = 0;
            }
            Console.WriteLine(bodovi[0] + " " + bodovi[1]);
            Console.WriteLine(bodovi[2] + " " + bodovi[3]);
            Console.WriteLine(bodovi[4] + " " + bodovi[5]);
        }
    }
}